# quotes\_dlx\_block\_defaults

Filter the block defaults passed in from the admin settings (useful in the Block defaults portion in the admin)

{% hint style="info" %}
Location: `php/Blocks.js`
{% endhint %}

{% code overflow="wrap" %}

```php
/**
 * Filter: quotes_dlx_block_defaults
 *
 * Add in block defaults from admin settings.
 *
 * @since 1.0.0
 *
 * @param array Key value pair of admin defaults.
 */
$block_defaults = apply_filters( 'quotes_dlx_block_defaults', $block_defaults );
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dlxplugins.com/quotes-dlx/developers/filters/quotes_dlx_block_defaults.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
